### Method

# Gck Object destroy_finish

#### Declaration [src]

    gboolean
    gck_object_destroy_finish (
      GckObject* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Get the status of the operation to destroy a PKCS#11 object, begun with gck_object_destroy_async().

#### Parameters

`result` | `GAsyncResult`
| The result of the destory operation passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the object was destroyed successfully or not.